> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Plain Text

> Send plain text message



## OpenAPI

````yaml openapi-v2 POST /message/sendText/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /message/sendText/{instance}:
    post:
      tags:
        - Message Controller
      summary: Send Text
      description: Send plain text message
      operationId: sendText
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - number
                - text
              properties:
                number:
                  type: string
                  description: Number to receive the message (with country code)
                text:
                  type: string
                  description: Test message to send
                delay:
                  type: integer
                  description: Presence time in milliseconds before sending message
                linkPreview:
                  type: boolean
                  description: >-
                    Shows a preview of the target website if there's a link
                    within the message
                mentionsEveryOne:
                  type: boolean
                  description: Mentioned everyone when the message send
                mentioned:
                  type: array
                  items:
                    type: string
                    enum:
                      - '{{remoteJID}}'
                  description: Numbers to mention
                quoted:
                  type: object
                  properties:
                    key:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Quoted message ID
                    message:
                      type: object
                      properties:
                        conversation:
                          type: string
                          description: Quoted message content
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  key:
                    type: object
                    properties:
                      remoteJid:
                        type: string
                        description: The remote Jid.
                      fromMe:
                        type: boolean
                        description: Indicates whether the message was sent by the user.
                      id:
                        type: string
                        description: The ID of the message.
                  message:
                    type: object
                    properties:
                      extendedTextMessage:
                        type: object
                        properties:
                          text:
                            type: string
                            description: The text message.
                  messageTimestamp:
                    type: string
                    description: The timestamp of the message.
                  status:
                    type: string
                    description: The status of the message.
                example:
                  key:
                    remoteJid: 553198296801@s.whatsapp.net
                    fromMe: true
                    id: BAE594145F4C59B4
                  message:
                    extendedTextMessage:
                      text: Olá!
                  messageTimestamp: '1717689097'
                  status: PENDING
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````